PHP K�sikirja
Edellinen |  | Seuraava

# classkit_method_remove

(no version information, might be only in CVS)

classkit_method_remove -- Dynamically removes the given method

## Description

bool classkit_method_remove ( string classname, string methodname )

> Huomaa: This function cannot be used to manipulate the currently running (or chained) method.

Varoitus
Varoitus! T�m� funktio on EKSPERIMENTAALINEN. T�m�n funktion ominaisuudet, k�ytt�ytyminen, parametrit ja nimi voi muuttua varoituksetta seuraavissa PHP:n versioissa.

## Parameters

classname

  The class in which to remove the method

methodname

  The name of the method to remove

## Return values

Palauttaa `TRUE` onnistuessaan, muutoin `FALSE`.

## Examples

Esimerkki 1. classkit_method_remove() example

`<?php class Example { function foo() { return "foo!\n"; } function bar() { return "bar!\n"; } } // Remove the 'foo' method classkit_method_remove( 'Example', 'foo' ); echo implode(' ', get_class_methods('Example')); ?>`

The above example will output:

    bar

## See Also

classkit_method_add()
classkit_method_copy()
classkit_method_redefine()
classkit_method_rename()

Edellinen | Alkuun | Seuraava
classkit_method_redefine | Ylös | classkit_method_rename